TCC_PERBUF_Type Union Reference

## Data Fields

struct {
uint32_t DITHERBUF:4
uint32_t PERBUF:20
uint32_t __pad0__:8
} | DITH4
struct {
uint32_t DITHERBUF:5
uint32_t PERBUF:19
uint32_t __pad0__:8
} | DITH5
struct {
uint32_t DITHERBUF:6
uint32_t PERBUF:18
uint32_t __pad0__:8
} | DITH6
struct {
uint32_t PERBUF:24
uint32_t __pad0__:8
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1606 of file tcc.h.

## Field Documentation

## __pad0__

uint32_t TCC_PERBUF_Type::__pad0__

bit: 24..31 Reserved

Definition at line 1610 of file tcc.h.

## bit

struct { ... } TCC_PERBUF_Type::bit

Structure used for bit access

## DITH4

struct { ... } TCC_PERBUF_Type::DITH4

Structure used for DITH4

## DITH5

struct { ... } TCC_PERBUF_Type::DITH5

Structure used for DITH5

## DITH6

struct { ... } TCC_PERBUF_Type::DITH6

Structure used for DITH6

## DITHERBUF

uint32_t TCC_PERBUF_Type::DITHERBUF

bit: 0.. 3 Dithering Buffer Cycle Number

bit: 0.. 4 Dithering Buffer Cycle Number

bit: 0.. 5 Dithering Buffer Cycle Number

Definition at line 1608 of file tcc.h.

## PERBUF

uint32_t TCC_PERBUF_Type::PERBUF

bit: 4..23 Period Buffer Value

bit: 5..23 Period Buffer Value

bit: 6..23 Period Buffer Value

bit: 0..23 Period Buffer Value

Definition at line 1609 of file tcc.h.

## reg

uint32_t TCC_PERBUF_Type::reg

Type used for register access

Definition at line 1626 of file tcc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/tcc.h